宝塔面板安装多PHP版本切换及不同站点设置不同PHP环境

我们选择和使用VPS、服务器的原因也在于可以自定义需要的软件和不同的版本,而虚拟主机只能主机商给我们预设的什么软件版本我们只能使用不可以有其他的要求。同时,我们在使用VPS、服务器的时候,一般都不会只用来建立一个网站,且不同的网站之间软件版本要求有些时候兼容程度是不同的。

有些程序需要兼容PHP7.0,也有些程序兼容PHP5.3这些低端版本。一般我们常用的WEB环境或者面板都可以设置多版本PHP支持的,而且还可以自由切换不同的站点不同的PHP支持。在这篇文章中,老蒋需要分享的是来自宝塔面板提供的多版本PHP安装和切换兼容站点的办法。

第一、安装不同版本PHP

宝塔面板安装多PHP版本切换及不同站点设置不同PHP环境

这里我们看见当前就安装PHP7.0版本,我们需要其他兼容版本的话直接对应在"软件管理"中找到PHP版本直接安装。安装需要一点点时间,等待到我们看到已经按照完毕才可以下一步去切换。

第二、不同站点不同PHP

宝塔面板安装多PHP版本切换及不同站点设置不同PHP环境

这里我们在添加站点的时候可以看到PHP版本里有不同的PHP选项,然后需要什么选什么。同样的,如果我们已有站点也可以编辑后选择已经安装的版本。

就这么简单,我们可以在宝塔面板中自由的切换PHP版本。

本文出处:老蒋部落 » 宝塔面板安装多PHP版本切换及不同站点设置不同PHP环境 | 欢迎分享( 公众号:站长事儿 )